Skip to main content
`Ctrl`+`K`

# DMPlexDistributeGetDefault

Get flag indicating whether the `DM` should be distributed by default

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexDistributeGetDefault(DM dm, PetscBool *dist)

Not Collective

## Input Parameter

- dm - The `DM`

## Output Parameter

- dist - Flag for distribution

## See Also

`DMPLEX`, `DM`, `DMPlexDistributeSetDefault()`, `DMPlexDistribute()`

## Level

intermediate

## Location

src/dm/impls/plex/plexdistribute.c

## Implementations

DMPlexDistributeGetDefault_Plex() in src/dm/impls/plex/plexdistribute.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages